de.esprit.netsuite.netdata.event

## Class ABOChangeEvent

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.common.gui.event.GenericEvent
      - - de.esprit.netsuite.netdata.event.ServerStatusEvent
        - - de.esprit.netsuite.netdata.event.ABOChangeEvent

- All Implemented Interfaces:
    DeepCloneable, Dumpable, java.io.Serializable, java.lang.Cloneable

      public class ABOChangeEvent
      extends ServerStatusEvent

  This event is sent by the server to notify about business object changes
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `ABOChangeEvent.Listener`
    `static interface` | `ABOChangeEvent.Source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ABOChangeEvent(AliveBusinessObject abo, ABOChangeType action)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AliveBusinessObject` | `getABO()`
    `ABOChangeType` | `getChangeType()`
    `SessionId` | `getLastAccessorId()` Note that this may be null if the Server itself was the one who changed that ABO!
    `PrimaryKey` | `getPrimaryKey()`
    `boolean` | `isCreated()`
    `boolean` | `isDeleted()`
    `boolean` | `isDropped()`
    `boolean` | `isFetched()`
    `boolean` | `isUpdated()`
    `void` | `setABO(AliveBusinessObject aboRef)` Note that on client side this event is passed further to direct listeners of the affected ABO.
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.
    `boolean` | `wasCausedByMe(SessionId sessId)`

    - ### Methods inherited from class de.esprit.netsuite.netdata.event.ServerStatusEvent

      `getMessageType`

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `clone, deepClone`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ABOChangeEvent

          public ABOChangeEvent(AliveBusinessObject abo,
                        ABOChangeType action)

  - ### Method Detail

    - #### getABO

          public AliveBusinessObject getABO()

    - #### setABO

          public void setABO(AliveBusinessObject aboRef)

      Note that on client side this event is passed further to direct listeners of the affected ABO. Therefore the reference is changed from the serialized ABO to the real reference cached by the client.

    - #### getPrimaryKey

          public PrimaryKey getPrimaryKey()

    - #### getLastAccessorId

          public SessionId getLastAccessorId()

      Note that this may be null if the Server itself was the one who changed that ABO!

    - #### wasCausedByMe

          public boolean wasCausedByMe(SessionId sessId)

    - #### isCreated

          public boolean isCreated()

    - #### isDeleted

          public boolean isDeleted()

    - #### isUpdated

          public boolean isUpdated()

    - #### isFetched

          public boolean isFetched()

    - #### isDropped

          public boolean isDropped()

    - #### getChangeType

          public ABOChangeType getChangeType()

    - #### toString

          public ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `DumpableObject`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.